import pygame
import sys

# Spielfenster
WIDTH = 900
HEIGHT = 500
WIN = pygame.display.set_mode((WIDTH, HEIGHT))
pygame.display.set_caption("Pong in Python")

# Farben als Konstanten
WHITE = (255, 255, 255)
BLACK = (0, 0, 0)
RED = (255, 0, 0)

# Konstanten
FPS = 60


# 1. Spieler
PLAYER_WIDTH = 10
PLAYER_HEIGHT = 100
player_one = pygame.Rect(30, 200, PLAYER_WIDTH, PLAYER_HEIGHT)
player_two = pygame.Rect(860, 200, PLAYER_WIDTH, PLAYER_HEIGHT)
PLAYER_VELOLCITY = 5


def player_movement(keys_pressed):
    # up
    if keys_pressed[pygame.K_w] and player_one.y - PLAYER_VELOLCITY > 0:
        player_one.y -= PLAYER_VELOLCITY
    if keys_pressed[pygame.K_UP] and player_two.y - PLAYER_VELOLCITY > 0:
        player_two.y -= PLAYER_VELOLCITY
    # down
    if keys_pressed[pygame.K_s] and player_one.y + PLAYER_VELOLCITY + player_one.height < HEIGHT:
        player_one.y += PLAYER_VELOLCITY
    if keys_pressed[pygame.K_DOWN] and player_two.y + PLAYER_VELOLCITY + player_two.height < HEIGHT:
        player_two.y += PLAYER_VELOLCITY


def draw_window():
    WIN.fill(BLACK)
    # # 2. Spieler auf Spielfend malen
    # pygame.draw.rect(WIN, WHITE, player_one)
    # pygame.draw.rect(WIN, WHITE, player_two)
    pygame.display.update()


def main():
    clock = pygame.time.Clock()
    run = True
    while run:
        # Spielfenster wird 60 mal pro Sekunde neugeladen (60 FPS)
        clock.tick(FPS)

        # Fenster schließen
        for event in pygame.event.get():
            # Spiel wird geschlossen wenn "X" oben rechts geklickt wird
            if event.type == pygame.QUIT:
                run = False
                pygame.quit()
                sys.exit()

        # # 3. Spieler durch Tasten bewegen
        # keys_pressed = pygame.key.get_pressed()
        # player_movement(keys_pressed)

        # Spielfenster wird befüllt
        draw_window()


main()
